Problem in upgrading 5G RG500L firmware to the latest version

Hi
We have a 5G modem with EVB module type RG500LEU LGA. We decided to change firmware to latest version. When we send ATI command to the modem, the following response is received:

RG500Q-EA
REVISION:RG500Q-EAAAR10A03M4G

To upgrade the firmware to the latest version ( RG500LEUACR04A02M8G_OCPU_20.001.20.001), we use ETS port and different baud rates using QFlash version 5.8. When we select XML file to load necessary files from firmware package, the start button in QFlash is activated and after pressing start button, we wait couple of seconds (less than 30 second) and then we press reset button on EVB (this procedure is described in QFlash version 5.8 document). But After a while we get the following error:

Error:
Fail_ThinModemFlashTool_DL fail!

What is the reason?

Our EVB KIT part number is:
RG500LEVB-KIT
Q1-A7905

Our module part number is:
RG500LEUAB-M28UGASA

Hi,
Maybe the QFlash vierson is too old, or you can try to use “TM_Flash_Tool” to download the firmware, please leave your email and I will send you through the email.